package jalview.ext.pymol;

import static org.testng.Assert.assertEquals;

import jalview.structure.StructureCommand;

import org.testng.annotations.Test;

public class PymolManagerTest
{
  @Test(groups = "Functional")
  public void testGetPostRequest()
  {
    String req = PymolManager
            .getPostRequest(new StructureCommand("foobar"));
    assertEquals(req,
            "<methodCall><methodName>foobar</methodName><params></params></methodCall>");

    req = PymolManager
            .getPostRequest(new StructureCommand("foobar", "blue", "all"));
    assertEquals(req, "<methodCall><methodName>foobar</methodName><params>"
            + "<parameter><value>blue</value></parameter>"
            + "<parameter><value>all</value></parameter>"
            + "</params></methodCall>");
  }
}
